Subject: Re: Umlaut in filename makes troubles

From: Jochen <[email-masked]>
Date: Tue, 01 Dec 2009 10:06:31 +0100

Michael J Gruber wrote:

> > I have problems with my repository under slackware vs. windows. I
> > created a repo in linux and every time I use it under msysgit,
> > the files containing umlauts in the filename are marked as
> > deleted (and vice versa).
> >
> > For instance: the repo perfectly synced under msysgit leads to:
> >
> > user@sauron:/media/disk-2$ git status |grep Auszug
> > #       deleted:    "trunk/007_Literatur/Auszug aus Ergonomische
> > Untersuchung des Lenkgef\374hles.docx"
> > #       "trunk/007_Literatur/Auszug aus Ergonomische Untersuchung
> > des Lenkgef\303\274hles.docx"
> >
> > in linux. But the file exists and is displayed correctly in the
> > shell or in dolphin (my filemanager under X):
> >
> > user@sauron:/media/disk-2$ ls trunk/007_Literatur/Auszug*
> > trunk/007_Literatur/Auszug aus Ergonomische Untersuchung des
> > Lenkgefühles.docx
> >
> > Can you please give me a hint what to do?
>
> I would say you can give us more info about your setup. If I
> understand you correctly, you use the same repo and checkout under
> linux and msysgit. 

Right - I created it under linux on a local directory, cloned it to an 
usb-stick and cloned it again under windows.
I then worked under windows (msysgit) and pushed it to the stick 
again. 
Now I am back an my linux maschine and the files with umlauts in the 
filenames are mared as deleted.

> > What kind of filesystem is this on, what are the
> mount options? 

/dev/sde on /media/disk-2 type vfat 
(rw,nosuid,nodev,uhelper=hal,uid=1000,utf8,shortname=mixed)

mounted by the automounter of KDE 4.2.4

> What is your locale ($LANG) in slackware?

LANG=de_AT.utf-8

Jochen